Package org.eclipse.rdf4j.http.server.repository.transaction

## Class TransactionExportStatementsView

- java.lang.Object
- - org.eclipse.rdf4j.http.server.repository.transaction.TransactionExportStatementsView

- All Implemented Interfaces:
    `org.springframework.web.servlet.View`

      public class TransactionExportStatementsView
      extends Object
      implements org.springframework.web.servlet.View

  View used to export statements as part of a transaction. Renders the statements as RDF using a serialization specified using a parameter or Accept header.
  Author:
    Herko ter Horst, Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONTEXTS_KEY` |
    `static String` | `FACTORY_KEY` |
    `static String` | `HEADERS_ONLY` |
    `static String` | `OBJECT_KEY` |
    `static String` | `PREDICATE_KEY` |
    `static String` | `SUBJECT_KEY` |
    `static String` | `TRANSACTION_KEY` |
    `static String` | `USE_INFERENCING_KEY` |

    - ### Fields inherited from interface org.springframework.web.servlet.View

      `PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContentType()` |
    `static TransactionExportStatementsView` | `getInstance()` |
    `void` | `render​(Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUBJECT_KEY

          public static final String SUBJECT_KEY

      See Also:
        Constant Field Values

    - #### PREDICATE_KEY

          public static final String PREDICATE_KEY

      See Also:
        Constant Field Values

    - #### OBJECT_KEY

          public static final String OBJECT_KEY

      See Also:
        Constant Field Values

    - #### CONTEXTS_KEY

          public static final String CONTEXTS_KEY

      See Also:
        Constant Field Values

    - #### USE_INFERENCING_KEY

          public static final String USE_INFERENCING_KEY

      See Also:
        Constant Field Values

    - #### TRANSACTION_KEY

          public static final String TRANSACTION_KEY

      See Also:
        Constant Field Values

    - #### FACTORY_KEY

          public static final String FACTORY_KEY

      See Also:
        Constant Field Values

    - #### HEADERS_ONLY

          public static final String HEADERS_ONLY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static TransactionExportStatementsView getInstance()

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `org.springframework.web.servlet.View`

    - #### render

          public void render​(Map model,
                             javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws Exception

      Specified by:
        `render` in interface `org.springframework.web.servlet.View`
      Throws:
        `Exception`